Bug 164922 - server does not contain data in xinerama slave screens
server does not contain data in xinerama slave screens
Status: CLOSED DUPLICATE of bug 295061
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 14:24 EDT by Joe Harrington
Modified: 2013-03-05 22:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-14 11:12:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2005-08-02 14:24:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Galeon/1.3.21

Description of problem:
I have 2 monitors at work, configured with xinerama as a single X workspace.  When I enable remote access and view it with vncviewer, I can see and control things fine, but the right half of the display is blank.  This is the half corresponding to the slaved xinerama monitor.  From xorg.conf:

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen         "ATIRadeon9000agpTMDSsc" 0 0
        Screen         "ATIRadeon9000agpCRTsc" RightOf "ATIRadeon9000agpTMDSsc"
#       Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        Option         "Xinerama" "on"
EndSection


Version-Release number of selected component (if applicable):
vino-2.8.1-1

How reproducible:
Always

Steps to Reproduce:
1. enable remote desktop access in Gnome panel preferences menu
2. view desktop with 
vncviewer -FullColor -Shared -via oobleck oobleck:0 -geometry 1380x1000
3. scroll to view the right half of the screen
  

Actual Results:  The right half of the screen is blank in the vncviewer.  Windows can move there, and appear normally on the right monitor on the desktop, but the portion of a window that is on the right monitor does not appear on the vnc display.

Expected Results:  They should have appeared in the right side of the vnc display.


Additional info:

xorg-x11-6.8.2-1.FC3.13
ATI Radeon 9000 AGP using one DVI and one CRT driven by the same card.
vnc-4.0-8
Both server and client machines are running updated FC3.

This may be a limitation in the card, for the same reason that glxgears does not work on the right monitor.  Does it work right with a 2-card xinerama setup?
It could be worked around in software by setting up a regular Xvnc server with the same depth and geometry as the main display, and duplicating the X calls to it.  Obviously, that would hit performance and memory, while solving a problem seen by just a few people, however, so if it's done it shouldn't be the default.

--jh--
Comment 1 Matthew Miller 2006-07-10 17:17:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 patrick finerty, jr. 2007-09-12 09:49:48 EDT
This is still a bug in Fedora 7....



(In reply to comment #1)
> Fedora Core 3 is now maintained by the Fedora Legacy project for security
> updates only. If this problem is a security issue, please reopen and
> reassign to the Fedora Legacy product. If it is not a security issue and
> hasn't been resolved in the current FC5 updates or in the FC6 test
> release, reopen and change the version to match.
> 
> Thank you!
> 

Comment 3 josef radinger 2007-09-26 02:40:35 EDT
see this in fedora 7, too
Comment 4 josef radinger 2007-12-05 15:21:26 EST
still a problem with fedora8 (both server and client)
Comment 5 Bug Zapper 2008-11-26 01:52:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:53:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 josef radinger 2009-03-14 09:24:50 EDT
still valid in fc10
Comment 8 josef radinger 2009-03-14 11:12:49 EDT

*** This bug has been marked as a duplicate of bug 295061 ***

Note You need to log in before you can comment on or make changes to this bug.